with GNATCOM.Dispinterface;

package MSHTML.ISVGLocatable_Interface is

   type ISVGLocatable_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out ISVGLocatable_Type);

   function Pointer (This : ISVGLocatable_Type)
     return Pointer_To_ISVGLocatable;

   procedure Attach (This    : in out ISVGLocatable_Type;
                     Pointer : in     Pointer_To_ISVGLocatable);

   function Get_nearestViewportElement
     (This : ISVGLocatable_Type)
     return Pointer_To_ISVGElement;

   function Get_farthestViewportElement
     (This : ISVGLocatable_Type)
     return Pointer_To_ISVGElement;

   function getBBox
     (This     : ISVGLocatable_Type)
     return Pointer_To_ISVGRect;

   function getCTM
     (This     : ISVGLocatable_Type)
     return Pointer_To_ISVGMatrix;

   function getScreenCTM
     (This     : ISVGLocatable_Type)
     return Pointer_To_ISVGMatrix;

   function getTransformToElement
     (This     : ISVGLocatable_Type;
      pElement : Pointer_To_ISVGElement)
     return Pointer_To_ISVGMatrix;

end MSHTML.ISVGLocatable_Interface;

